## org.gnu.gdk
Class PixbufAnimationIter

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.PixbufAnimationIter

public class PixbufAnimationIter
extends Boxed

Provides the necessary functionality to display an animation.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`PixbufAnimationIter(Handle handle)`

Method Summary
`boolean` `advance(long currentSec, long currentUsec)` Possibly advances an animation to a new frame.
`protected static boolean` `gdk_pixbuf_animation_iter_advance(Handle iter, long curSec, long curUsec)`
`protected static int` `gdk_pixbuf_animation_iter_get_delay_time(Handle iter)`
`protected static Handle` `gdk_pixbuf_animation_iter_get_pixbuf(Handle iter)`
`protected static int` `gdk_pixbuf_animation_iter_get_type()`
`protected static boolean` `gdk_pixbuf_animation_iter_on_currently_loading_frame(Handle iter)`
`int` `getDelayTime()` Gets the number of milliseconds the current Pixbuf should be displayed or -1 if the current Pixbuf should be displayed forever.
`Pixbuf` `getPixbuf()` Gets the current Pixbuf which should be displayed.
`boolean` `onCurrentlyLoadingFrame()` Returns true if the frame we're on is partially loaded, or the last frame

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixbufAnimationIter

    public PixbufAnimationIter(Handle handle)

Method Detail

### advance

    public boolean advance(long currentSec,
                           long currentUsec)

  Possibly advances an animation to a new frame. Chooses the frame based on the start time passed to the getIter method of PixbufAnimation.

  Parameters:
    `currentSec` -
    `currentUsec` -

### getDelayTime

    public int getDelayTime()

  Gets the number of milliseconds the current Pixbuf should be displayed or -1 if the current Pixbuf should be displayed forever.

### onCurrentlyLoadingFrame

    public boolean onCurrentlyLoadingFrame()

  Returns true if the frame we're on is partially loaded, or the last frame

### getPixbuf

    public Pixbuf getPixbuf()

  Gets the current Pixbuf which should be displayed.

### gdk_pixbuf_animation_iter_get_type

    protected static final int gdk_pixbuf_animation_iter_get_type()

### gdk_pixbuf_animation_iter_advance

    protected static final boolean gdk_pixbuf_animation_iter_advance(Handle iter,
                                                                     long curSec,
                                                                     long curUsec)

### gdk_pixbuf_animation_iter_get_delay_time

    protected static final int gdk_pixbuf_animation_iter_get_delay_time(Handle iter)

### gdk_pixbuf_animation_iter_get_pixbuf

    protected static final Handle gdk_pixbuf_animation_iter_get_pixbuf(Handle iter)

### gdk_pixbuf_animation_iter_on_currently_loading_frame

    protected static final boolean gdk_pixbuf_animation_iter_on_currently_loading_frame(Handle iter)